# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.86"
name = "zrx-graph"
version = "0.0.12"
authors = ["Zensical <contributors@zensical.org>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Graph construction and traversal utilities"
homepage = "https://github.com/zensical/zrx"
readme = "README.md"
license = "MIT"
repository = "https://github.com/zensical/zrx"

[lib]
name = "zrx_graph"
path = "src/lib.rs"

[dependencies.ahash]
version = "0.8.12"

[dependencies.thiserror]
version = "2.0.18"

[lints.clippy.all]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "warn"
priority = -1
